Skip to content

Document

Resource 'Document' operations.

Retrieve collection of document entities.

Request

Use this endpoint to retrieve the collection of document information.

Security
oauth_auth_code(Required scopes: read:documents)
Query
pageinteger

The collection page number

Default:1
itemsPerPageinteger, [ 0 .. 100 ]

The number of items per page

Default:20
expand[]Array of strings
Items Enum:"user.read""user.list""document.read_patient""patient.read""patient.list""pdf.list""pdf.read"
searchstring

Document search

synchronizedboolean

Filter documents by synchronization status with the current OAuth client

patientEmailStatusArray of strings

Filter documents by how far the copy emailed to the patient got. Repeat the parameter to match several statuses (union). Documents never emailed to their patient match no status and are excluded whenever this filter is set.

Items Enum:"sent""received""opened"
uuidstring

Document uuid

user.emailstring

Document user.email

patient.emailstring

Document patient.email

patient.idstring

Document patient.id

typestring

Document type

pdfstring

Document pdf

genericContactSpecialtystring

Document genericContactSpecialty

createdAtstring

Document createdAt

updatedAtstring

Document updatedAt

encounteredAtstring

Document encounteredAt

exists[encounteredAt]boolean
exists[meeting]boolean
exists[verifiedAt]boolean
user.uuidstring

Document user.uuid

patient.uuidstring

Document patient.uuid

audio.uuidstring

Document audio.uuid

isAnonymizedstring

Document isAnonymized

curl -i -X GET \
  'https://api.askara.ai/documents?page=1&itemsPerPage=20&expand%5B%5D=user.read&search=string&synchronized=true&patientEmailStatus=sent&uuid=string&user.email=string&patient.email=string&patient.id=string&type=string&pdf=string&genericContactSpecialty=string&createdAt=string&updatedAt=string&encounteredAt=string&exists%5BencounteredAt%5D=true&exists%5Bmeeting%5D=true&exists%5BverifiedAt%5D=true&user.uuid=string&patient.uuid=string&audio.uuid=string&isAnonymized=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Document collection

Body
Array [
uuidstring, (uuid)

Document unique identifier.

createdAtstring, (date-time)

Document creation date.

updatedAtstring, (date-time)

Document update date.

encounteredAtstring or null, (date-time)

Document operation/cone beam specific date.

userstring, (uuid)

Document author.

Example:"123e4567-e89b-12d3-a456-426614174000"
patientstring or null, (uuid)

Document patient.

Example:"123e4567-e89b-12d3-a456-426614174000"
typestring or null

Document type.

Enum:"operative_report""referral_letter""cone_beam_report""patient_letter""prescription""initial_medical_certificate""attendance_certificate""contraindication_certificate""lab_slip""endo_report"
pdfstring or null, (uuid)

Document PDF file.

Example:"123e4567-e89b-12d3-a456-426614174000"
isAnonymizedboolean

Document anonymization status.

Default:false
emailsArray of objects(Email-document.list_document.read_pdf_document.read_patient_document.read_emails_status_email.status_document.read_document_contacts_document_contact.minimal_contact.minimal)

Document emails.

documentContactsArray of objects(DocumentContact-document.list_document.read_pdf_document.read_patient_document.read_emails_status_email.status_document.read_document_contacts_document_contact.minimal_contact.minimal)

Document contacts.

genericContactSpecialtystring or null

Generic contact specialty when no specific contact is selected (free text or predefined value).

patientEmailStatusobject or null
]
Response
[ { "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "encounteredAt": "2019-08-24T14:15:22Z", "user": "123e4567-e89b-12d3-a456-426614174000", "patient": "123e4567-e89b-12d3-a456-426614174000", "type": "operative_report", "pdf": "123e4567-e89b-12d3-a456-426614174000", "isAnonymized": false, "emails": [ … ], "documentContacts": [ … ], "genericContactSpecialty": "string", "patientEmailStatus": { … } } ]